cordova.define("cordova-plugin-sdanalytics.sdanalytics", function(require, exports, module) {
var cordova = require('cordova');
var channel = require('cordova/channel');

channel.createSticky('onsdanalyticsInfoReady');
channel.waitForInitialization('onsdanalyticsInfoReady');


var sdanalytics = {

    udid:null,
    channelName:null,
    siteName:null,
    contentRealm:null,
    os:null,
    avaliableSubApp:null,
    accountRealm:null,
getInfo:function(callback){
    cordova.exec(callback,null,'sdanalytics','getInfo',[["LobbyAccountRealm","LobbyAvailableSubApp","LobbySkinID"]]);
},
onSubAppStart:function(subAppID){
    cordova.exec(null,null,'sdanalytics','onSubAppStart',[subAppID]);
},
onLogin: function (accountInfo) {
    cordova.exec(null,null, 'sdanalytics', 'onLogin', [accountInfo]);
},
onPay: function (orderID,currency,payMethod,itemName) {
    cordova.exec(null,null, 'sdanalytics', 'onPay', [orderID,currency,payMethod,itemName]);
},
onConsume: function (itemPrice,itemName) {
    cordova.exec(null,null, 'sdanalytics', 'onConsume', [itemPrice,itemName]);
},
onEvent:function(eventID,eventData){
    cordova.exec(null,null, 'sdanalytics', 'onEvent', [eventID,eventData]);
},
onPublicEvent:function(eventID,eventData){
    cordova.exec(null,null, 'sdanalytics', 'onPublicEvent', [eventID,eventData]);
}
};

channel.onCordovaReady.subscribe(function() {
    sdanalytics.getInfo(function(info){
        sdanalytics.udid = info.udid;
        sdanalytics.channelName = info.channelName;
        sdanalytics.siteName = info.siteName;
        sdanalytics.contentRealm = info.contentRealm;
        sdanalytics.os = info.os;
        sdanalytics.avaliableSubApp = info.LobbyAvailableSubApp;
        sdanalytics.availableSubApp = info.LobbyAvailableSubApp;
        sdanalytics.accountRealm = info.LobbyAccountRealm;
        sdanalytics.skinId = info.LobbySkinID;
        channel.onsdanalyticsInfoReady.fire();
    })
})

    
module.exports = sdanalytics;

});
