cordova.define("cordova-plugin-videobackground.videobackground", function(require, exports, module) {
var cordova = require('cordova');

var videobackground = {
    play: function (filename, loop, successFunction, errorFunction) {
        cordova.exec(successFunction, errorFunction, 'videobackground', 'play', [filename,loop]);
    },
    stop: function (successFunction, errorFunction) {
        cordova.exec(successFunction, errorFunction, 'videobackground', 'stop', []);
    },
    pause: function (successFunction, errorFunction) {
        cordova.exec(successFunction, errorFunction, 'videobackground', 'pause', []);
    },
    
    resume: function (successFunction, errorFunction) {
        cordova.exec(successFunction, errorFunction, 'videobackground', 'resume', []);
    },
    watchProgress: function (progressFunction, endFunction) {
        cordova.exec(progressFunction, endFunction, 'videobackground', 'watch', []);
    },
    
};

module.exports = videobackground;

});
