cordova.define("cordova-plugin-resproxy.resproxy", function(require, exports, module) {
var cordova = require('cordova');

var resproxy = {
    VERSION:2,
    start:function(cdnroot,successFunction,errorFunction,auxCdnRoots){
        cordova.exec(successFunction,errorFunction,'resproxy','start',[cdnroot,auxCdnRoots]);
    },
    detectUpdate: function (idxName, successFunction) {
        cordova.exec(successFunction,null, 'resproxy', 'detectUpdate', [idxName]);
    },
    preload: function (idxName, progressFunction, completeFunction) {
        cordova.exec(progressFunction, completeFunction, 'resproxy', 'preload', [idxName]);
    },
    
    preloadRes: function (idxName, resName,successFunction) {
        cordova.exec(successFunction, null, 'resproxy', 'preloadRes', [idxName,resName]);
    },
    deleteCachedRes: function (idxName, resName) {
        cordova.exec(null, null, 'resproxy', 'deleteCachedRes', [idxName,resName]);
    },
};

module.exports = resproxy;

});
